ts wrote:

>  Perhaps best to install 1.8.4

The reason has probably floated through here recently. Apologies for
not reading up; what's the first reason to move up?

>  Probably a typo in ::add_ruby_type

Got that. Then I Googled for the new style in add_*_type, and threw
that in.

Then I switched to add_builtin_type because I'm evil. I added a type
that everyone will like. need. get hooked on. sell their relatives for.

Wait for it. You'l see!

-- 
  Phlip
  http://www.greencheese.org/ElaborateArtOfPlay